from typing import TypeVar

from pydantic import BaseModel as PydanticModel


class BaseModel(PydanticModel):
    """
    Models are data structures that map Zoom API responses to idiomatic
    Python types.

    We use a subclass of ``pydantic.BaseModel`` to ensure that the model
    originates from within the ``dezoom`` package namespace.
    """

    class Config:
        underscore_attrs_are_private = True
        validate_assignment = True


Model = TypeVar("Model", bound=BaseModel)
