from typing import (
    Dict,
    Type,
)

from dezoom.zoom import Resource

from .groups import *
from .users import *
from .error import (
    DataConflict,
    GroupMemberNotFound,
    InvalidCredentials,
    InvalidData,
    NotFound,
    RateLimit,
    UnknownError,
    ZoomError,
)

namespace: str = "/v2"
version: str = "2"

resources: Dict[str, Type[Resource]] = {
    "groups": Groups,
    "users": Users,
}
